build: enable MIPS16 again, but make it depend on !gcc-4.6
authorFelix Fietkau <nbd@openwrt.org>
Tue, 10 Sep 2013 14:40:06 +0000 (14:40 +0000)
committerFelix Fietkau <nbd@openwrt.org>
Tue, 10 Sep 2013 14:40:06 +0000 (14:40 +0000)
gcc 4.6 miscompiles hostapd with mips16, on gcc 4.8 it works

Signed-off-by: Felix Fietkau <nbd@openwrt.org>
SVN-Revision: 37932

Config.in

index 40a74e7..2074245 100644 (file)
--- a/Config.in
+++ b/Config.in
@@ -879,6 +879,8 @@ menuconfig TARGET_OPTIONS
        config USE_MIPS16
                bool "Build packages with MIPS16 instructions" if TARGET_OPTIONS
                depends on HAS_MIPS16
+               depends on !GCC_VERSION_4_6
+               default y
                help
                  If your target CPU does support the MIPS16 instruction set
                  and you want to use it for packages, enable this option.